package com.css.simulation.resource.server.infra.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.po.system.SceneEvaluationRuleScriptPO;
import api.common.pojo.po.system.SceneImportPO;
import com.css.simulation.resource.server.infra.feign.service.SceneService;
import org.springframework.stereotype.Component;

@Component
public class SceneServiceFallback implements SceneService {

    @Override
    public ResponseBodyVO startImport(SceneImportPO po) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO startImportEvaluationScript(SceneEvaluationRuleScriptPO po) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }
}
